cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/disrupt \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"regional_disruptor_specifications": [
{
"is_whole_region": true,
"region_code": "<string>",
"azs": [
"<string>"
],
"pods": [
"<string>"
]
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Get disruption specifications for a cluster
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
disrupt
cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/disrupt \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"regional_disruptor_specifications": [
{
"is_whole_region": true,
"region_code": "<string>",
"azs": [
"<string>"
],
"pods": [
"<string>"
]
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Limited Access and may not be available to all users. Refer to the API support policy for more details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
cluster_id is the cluster we are requesting disruption information for.
Response
A successful response.
regional_disruptor_specifications represents a region that is disrupted. If there are no entries, it means the cluster is not disrupted.
Show child attributes
Show child attributes

